Package org.optaplanner.core.impl.score.stream.drools.common.nodes

## Class FromNode<A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.nodes.AbstractConstraintModelNode
  - - org.optaplanner.core.impl.score.stream.drools.common.nodes.FromNode<A>

- All Implemented Interfaces:
    `ConstraintGraphNode`, `UniConstraintGraphNode`

      public final class FromNode<A>
      extends AbstractConstraintModelNode
      implements UniConstraintGraphNode

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FromNode​(Class<A> factType, ConstraintGraph graph)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<A>` | `getFactType()` | Return `getFactType()` of the ultimate parent node.
    `ConstraintGraph` | `getGraph()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.nodes.AbstractConstraintModelNode

      `addChildNode, addConsequence, getChildNodes, getConsequences, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.drools.common.nodes.ConstraintGraphNode

      `getChildNodes, getConsequences, getType`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.drools.common.nodes.UniConstraintGraphNode

      `getCardinality`

- - ### Constructor Detail

    - #### FromNode

          public FromNode​(Class<A> factType,
                          ConstraintGraph graph)

  - ### Method Detail

    - #### getFactType

          public Class<A> getFactType()

      Description copied from interface: `ConstraintGraphNode`
      Return `getFactType()` of the ultimate parent node.
      Specified by:
        `getFactType` in interface `ConstraintGraphNode`
      Returns:
        null when the ultimate parent is a join/groupBy node

    - #### getGraph

          public ConstraintGraph getGraph()